%define KDEDATE	20010414

Summary:	A web editor for the KDE Desktop Environment
Name:		quanta
Version:	2.1
Release:	0.%KDEDATE.7mdk
License:	GPL

Source:		%name-%KDEDATE.tar.bz2

Group:		Graphical desktop/KDE
URL:		http://quanta.sourceforge.net/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  fam-devel libpng-devel pam popt
BuildRequires:	XFree86-static-libs automake arts autoconf diffutils
BuildRequires:	texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ db1
BuildRequires:	freetype2 rpm-build

%description
A html editor for the K Desktop Environment.

%prep

%setup -q -nquanta

%build
make -f Makefile.cvs
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug 
		       

# Dadou - 2.1-0.20010329.2mdk - Make macro breaks the build
make

%install
make install DESTDIR=%buildroot

# Create LMDK menu structure
mkdir -p $RPM_BUILD_ROOT/%_menudir/


mkdir -p $RPM_BUILD_ROOT/%_datadir/applnk/Office
install -m 0644 $RPM_BUILD_DIR/quanta/quanta/quanta.desktop $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop

kdedesktop2mdkmenu.pl quanta Networking/WWW $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop $RPM_BUILD_ROOT/%_menudir/quanta


#laurent Sat 16 2001 remove fr local (exists in kde-i18n)
rm -rf $RPM_BUILD_ROOT/%_datadir/locale/fr

%find_lang %name



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%_bindir/quanta
%_datadir/applnk/Office/quanta.desktop
%_datadir/applnk/Development/quanta.desktop 
#
%dir %_datadir/apps/quanta/
%_datadir/apps/quanta/*.rc
%_datadir/apps/quanta/*.xml        
#
%dir %_datadir/apps/quanta/tags/
%_datadir/apps/quanta/tags/*.tag
#
%dir %_datadir/apps/quanta/toolbar/  
%_datadir/apps/quanta/toolbar/*.png

%dir %_datadir/apps/quanta/doc/
%doc %_datadir/apps/quanta/doc/*
#
%dir %_libdir/quanta
%dir %_libdir/quanta/plugins/
%_libdir/quanta/plugins/*.la
%_libdir/quanta/plugins/*.so*
%_libdir/quanta/plugins/weblint
%_menudir/*

%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/22x22/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%changelog
* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.7mdk
- Rebuild with new kdelibs

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.6mdk
- Rebuild with new kdelibs

* Wed Aug 29 2001 Pixel <pixel@mandrakesoft.com> 2.1-0.20010414.5mdk
- makes it own /usr/lib/quanta

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.20010414.4mdk
- BuildRequires:	fam-devel
- BuildRequires:	libpng-devel
- Removed BuildRequires:	Mesa-common
- Removed BuildRequires:	XFree86-libs
- Removed BuildRequires:	db3
- Removed BuildRequires:	file
- Removed BuildRequires:	gcc-cpp
- Removed BuildRequires:	kdelibs
- Removed BuildRequires:	kdesupport-devel
- Removed BuildRequires:	libbinutils2
- Removed BuildRequires:	libbzip2_1
- Removed BuildRequires:	libjpeg62
- Removed BuildRequires:	libmng1
- Removed BuildRequires:	libpng2
- Removed BuildRequires:	libqt2
- Removed BuildRequires:	libqt2-devel
- Removed BuildRequires:	libtermcap2
- Removed BuildRequires:	m4
- Removed BuildRequires:	openssl
- Removed BuildRequires:	readline
- Removed BuildRequires:	zlib1

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.3mdk
- remove french po file (this file is in kde-i18n-fr)

* Wed Apr 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.2mdk
- Recompile with kde2.2alpha1

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.1mdk
- Update to quanta pr2

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.3mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.2mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010329.1mdk
- Update code
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010313.1mdk
- Update code
- Rebuild with qt2.3

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010226.1mdk
- Update code
- Build with kde2.1

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010213.1mdk
- Update code
- Build for version > 2.1beta2

* Tue Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010116.1mdk
- Updated code

* Mon Jan 01 2001 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20010101.1mdk
- Code update

* Fri Dec 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001228.1mdk
- Code update

* Sun Dec 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001224.1mdk
- Code update

* Tue Dec 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001219.1mdk
- Code update

* Wed Dec 13 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001213.1mdk
- Code update

* Mon Dec 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001211.1mdk
- Code update

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001204.1mdk
- Code update

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Code update

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Recompile for gcc 2.96

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Recompile for 7.2 Update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Recompile for gcc 2.96

* Tue Nov 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Code update to incorporate some rather large improvements from Quanta team

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Code update to KDE 2.0 Release 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Code update to KDE 2.0 Release Candidate 1

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 1.94-6mdk
- Fix menu entry
- Use optimizations
- Use macros
- Don't %%update_menus && %%clean_menus in %%postun

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Code update

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- First build for MandrakeSoft
